MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions
FlacMetadata.hxx File Reference
`#include "Compiler.h"`
`#include "FlacIOHandle.hxx"`
`#include <FLAC/metadata.h>`
Include dependency graph for FlacMetadata.hxx:

Go to the source code of this file.

## Data Structures
class | FlacMetadataChain
class | FLACMetadataIterator

## Functions
bool | flac_parse_replay_gain (ReplayGainInfo &rgi, const FLAC__StreamMetadata_VorbisComment &vc)
MixRampInfo | flac_parse_mixramp (const FLAC__StreamMetadata_VorbisComment &vc)
Tag | flac_vorbis_comments_to_tag (const FLAC__StreamMetadata_VorbisComment *comment)
void | flac_scan_metadata (const FLAC__StreamMetadata *block, const TagHandler &handler, void *handler_ctx)

## Function Documentation

MixRampInfo flac_parse_mixramp | ( | const FLAC__StreamMetadata_VorbisComment & | vc | ) |

bool flac_parse_replay_gain | ( | ReplayGainInfo & | rgi,
|  | const FLAC__StreamMetadata_VorbisComment & | vc
| ) |  |

void flac_scan_metadata | ( | const FLAC__StreamMetadata * | block,
|  | const TagHandler & | handler,
|  | void * | handler_ctx
| ) |  |

Tag flac_vorbis_comments_to_tag | ( | const FLAC__StreamMetadata_VorbisComment * | comment | ) |